function xdot = calc_xdot(t,vXin, vParam, vInput)

xout = zeros(19,1);

%Rotate about x in 10 sec
eta = vXin(11);
deta= vXin(5);

etaC = calcCubicStep(t,0,pi/2,0,10);
detaC = calcCubicStepDerivative(t,0,pi/2,0,10);

etaE = etaC-eta;
detaE= detaC-deta;

My = 1e3*etaE + 1e3*detaE;

vInput = [0;0;0;0;My;0];

xout = xDotMex_ControlledDisk(t,vXin,vParam,vInput);

xdot = xout(1:12);

